import React from "react";
import { StyleSheet, Text, View } from "react-native";
import { Sizing } from "../../styles";
import ScrollableTable from "../ScrollableTable";

const data = [
  {
    id: "1",
    firstName: "James",
    lastName: "Anderson",
    mat: 194,
    inns: 194,
    b: 9768,
    runs: 8756,
    wkts: 278,
    BBI: "5 / 23",
    BBM: "5 / 23",
    Econ: "4.92",
    SR: 35.63,
    Avg: 29.22,
    "5W": 2,
    "10W": 0,
  },
  {
    id: "2",
    firstName: "James",
    lastName: "Anderson",
    mat: 194,
    inns: 194,
    b: 9768,
    runs: 8756,
    wkts: 278,
    BBI: "5 / 23",
    BBM: "5 / 23",
    Econ: "4.92",
    SR: 35.63,
    Avg: 29.22,
    "5W": 2,
    "10W": 0,
  },
  {
    id: "3",
    firstName: "James",
    lastName: "Anderson",
    mat: 194,
    inns: 194,
    b: 9768,
    runs: 8756,
    wkts: 278,
    BBI: "5 / 23",
    BBM: "5 / 23",
    Econ: "4.92",
    SR: 35.63,
    Avg: 29.22,
    "5W": 2,
    "10W": 0,
  },
  {
    id: "4",
    firstName: "James",
    lastName: "Anderson",
    mat: 194,
    inns: 194,
    b: 9768,
    runs: 8756,
    wkts: 278,
    BBI: "5 / 23",
    BBM: "5 / 23",
    Econ: "4.92",
    SR: 35.63,
    Avg: 29.22,
    "5W": 2,
    "10W": 0,
  },
  {
    id: "5",
    firstName: "James",
    lastName: "Anderson",
    mat: 194,
    inns: 194,
    b: 9768,
    runs: 8756,
    wkts: 278,
    BBI: "5 / 23",
    BBM: "5 / 23",
    Econ: "4.92",
    SR: 35.63,
    Avg: 29.22,
    "5W": 2,
    "10W": 0,
  },
  {
    id: "6",
    firstName: "James",
    lastName: "Anderson",
    mat: 194,
    inns: 194,
    b: 9768,
    runs: 8756,
    wkts: 278,
    BBI: "5 / 23",
    BBM: "5 / 23",
    Econ: "4.92",
    SR: 35.63,
    Avg: 29.22,
    "5W": 2,
    "10W": 0,
  },
  {
    id: "7",
    firstName: "James",
    lastName: "Anderson",
    mat: 194,
    inns: 194,
    b: 9768,
    runs: 8756,
    wkts: 278,
    BBI: "5 / 23",
    BBM: "5 / 23",
    Econ: "4.92",
    SR: 35.63,
    Avg: 29.22,
    "5W": 2,
    "10W": 0,
  },
];

const headings = [
  "mat",
  "inns",
  "b",
  "runs",
  "wkts",
  "BBI",
  "BBM",
  "Econ",
  "SR",
  "5W",
  "10W",
];

const BowlingStats = () => {
  return (
    <View style={{ flex: 1, marginHorizontal: Sizing.layout.x8 }}>
      <ScrollableTable headings={headings} data={data} type="player" />
    </View>
  );
};

export default BowlingStats;

const styles = StyleSheet.create({});
